Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	gphoto2 - GNU Digital Camera download software.
Name:		gphoto2
Version:	2.4.9
Release:	1
License:	GNU/GPL 
URL:		http://gphoto.org/
Group:		Graphics
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gphoto2-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	libgphoto2 libexif >= 0.6.12 aalib readline

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: glibc-devel
BuildRequires: gpm-devel
BuildRequires: libexif-devel
BuildRequires: libgphoto2-devel
BuildRequires: libjpeg-devel
BuildRequires: libtool-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: ncurses-devel
BuildRequires: popt-devel
BuildRequires: readline-devel

%description
gphoto2 is a command line application which enables you to transfer digital photos from almost any serial-port or USB digital camera. 
It uses the programming interface provided by libgphoto2.
For more details see: http://gphoto.org/

%post
ldconfig
/usr/lib/libgphoto2/print-camera-list udev-rules mode 0660 group users > /etc/udev/rules.d/45-libgphoto2.rules

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix --disable-dependency-tracking --mandir=%_mandir
make LIBTOOL=/usr/bin/libtool

%install
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

%files
%defattr(-,root,root)
%{_bindir}/gphoto2
%{_docdir}/gphoto2/test-hook.sh
%{_locale}/*/LC_MESSAGES/gphoto2.mo
%{_mandir}/man1/gphoto2.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.9-1
- Version update
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-2
- rebuilt against libjpeg 7
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.5-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-2
- rebuilt against readline 6.0
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.4-1
- Version update
* Wed Jul 16 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Thu Apr 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-3
- suppressed annoying %post scriplet output
* Thu Apr 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-2
- fixed creation of udev rulefile
* Tue Apr 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
* Fri Mar 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Tue Sep 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.5-3
- Rebuild against newest libexif, removed wrong obsoletes tag
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.5-2
- Recompilation against readline 5.0
* Sun Feb 20 2005 Christian Wasem <wasem@ccux-linux.de> 2.1.5-1
- Initial Release
